#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.1.0 (beta)
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

; Script Start - Add your code below here
#include<rmchart.au3>

$hGUI = GUICreate("Chart Test", 700,500)
_RMC_LoadDLL("rmchart.dll")
;~ MsgBox(0, '', _RMC_GetVersion())
$ChartID = 2101
_RMC_CreateChart($hGUI, $ChartID ,10,10,600,450,0,0,0,"","",100)

_RMC_AddRegion($ChartID,5,5,-5,-5)

_RMC_AddCaption($ChartID,1, "Ein Diagramm")
_RMC_AddGrid($ChartID,1)
_RMC_AddDataAxis($ChartID,1,$RMC_DATAAXISLEFT, 0, 60,11,8, 0 , 0 ,$RMC_LINESTYLEDOT,0,"","")
_RMC_AddLabelAxis($ChartID,1,"Label 1*Label 2*Label 3*Label 4*Label 5", 1, 5, 0, 0, 0, 0, 0, $RMC_LINESTYLENONE,"")

Local $Values[5] = [ 34, 12.2, 55, 20, 9]
$Struct = _RMC_A2SDouble($Values)
_RMC_AddBarSeries($ChartID, 1, $Struct, 5, $RMC_BARSINGLE, $RMC_COLUMN_3D_GRADIENT, True, 0x3333FF)

_RMC_SetCustomToolTipText($ChartID,1,1,3,"TestText")
_RMC_SetCtrlStyle($ChartID, $RMC_CTRLSTYLE3DLIGHT )

_RMC_Zoom($ChartID,$RMC_ZOOM_INTERNAL)
_RMC_Draw($ChartID)

$btnWerte = GUICtrlCreateButton("Zufallswerte", 10, 465, 100, 30)
$btnInfo = GUICtrlCreateButton("Infos", 120, 465, 100, 30)

GUISetState()

Sleep(1000)


While 1
	Switch GUIGetMsg()
		Case -3
			Exit
		Case $btnWerte
			Local $Values[5] = [ Random(0,60), Random(0,60), Random(0,60), Random(0,60), Random(0,60)]
			$Struct = _RMC_A2SDouble($Values)
			_RMC_SetSeriesData($ChartID, 1, 1, $Struct, 5)
			_RMC_SetCtrlBGColor($ChartID, Random(0x555555,0xCCCCCC,1) )
			_RMC_Draw($ChartID)
		Case $btnInfo
			MsgBox(0, 'Zoomen des Diagramms', ">> Zoom: Linke Muastaste drcken, REchteckaufziehen, loslassen" & @CRLF & ">> Letzte Zoomeinstellung: rechte Maustaste" & @CRLF & ">> Nchste Zoomeinstellung: SHIFT + rechte Maustaste" & @CRLF & ">> Standardeinstellung: mittlere Maustaste")
	EndSwitch
WEnd
